Bug 373 - browselist comments are truncated 12 bytes
browselist comments are truncated 12 bytes
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.0preX
All All
: P3 minor
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 11:25 UTC by TAKAHASHI Motonobu
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2003-08-29 11:25:55 UTC
> > During examining BUG#221, I found a bug?
> >
> > At nmbd_incomingdgrams.c:111 there is a line
> >
> >     comment[12] = 0;
> >
> > This makes browselist comment truncated 12 bytes.
> > For example, "Samba CVS 3.0.0rc2" becomes "Samba CVS 3.".
> >
> > Why was this change committed?

<http://www.samba.org/cgi-bin/cvsweb/samba/source/nmbd/nmbd_incomingdgrams.c.di\
ff?r1=1.20.2.2&r2=1.20.2.3>

Samba 3.0.0rc1 does not have this bug, also Samba 2.2.3 on Debian works well.
This is not a severe, but a bug.


On Fri, Aug 29, 2003 at 05:24:35PM +0000, Jeremy Allison wrote:
> My mistake. I was reading the original code when fixing
> nmbd w.r.t. mb character set issues and wanted to ensure
> I didn't change the behaviour. I'll check in the 2.2
> codebase but it looked like the same was done there. If
> not please log a bug and I'll fix it asap.


Hmmm...  Share names are limited to 12 bytes in RAP, though the RAP data
descriptor string lists 13 bytes to account for a nul terminator.  Could
there be some confusion between the share name and comment fields?

Just a wild guess...

Chris -)-----
Comment 1 Tim Potter 2003-09-01 16:44:43 UTC
It sounds like this is fixed in CVS now:

Date:   Mon Sep  1 18:28:09 2003
Author: jra

Update of /data/cvs/samba/source/nmbd
In directory dp.samba.org:/tmp/cvs-serv6008/nmbd

Modified Files:
      Tag: SAMBA_3_0
        nmbd_incomingdgrams.c
Log Message:
Fix comment strings to 43 bytes as per spec.
Jeremy.


Revisions:
nmbd_incomingdgrams.c           1.19.2.4 => 1.19.2.5
Comment 2 Gerald (Jerry) Carter 2005-02-07 09:06:13 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:17:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.